/////////////////////////////////////////////////////////////////////
// DUNE.S		-	The Dune Sea
/////////////////////////////////////////////////////////////////////

SETUP

	IF !gt_PLACED_DUNE_CHARS
		Add gt_PLACED_DUNE_CHARS

		PlaceKraken K1 pKRAKEN1
		PlaceKraken K2 pKRAKEN2
		PlaceKraken K3 pKRAKEN3
		PlaceKraken K4 pKRAKEN4
		PlaceKraken K5 pKRAKEN5
		PlaceKraken K6 pKRAKEN6
		PlaceKraken K7 pKRAKEN7
		PlaceKraken K8 pKRAKEN8
		PlaceC MIND_SLAYER_2 pM_2
		PlaceC MIND_SLAYER_3 pM_3
		PlaceC MIND_SLAYER_4 pM_4
		PlaceC MIND_SLAYER_5 pM_5

		WanderNotFar MIND_SLAYER_2 3 6
		SwitchOnSightOfPlayer MIND_SLAYER_2 AttackDemo2
		WanderNotFar MIND_SLAYER_3 3 6
		SwitchOnSightOfPlayer MIND_SLAYER_3 AttackDemo2
		WanderNotFar MIND_SLAYER_4 3 6
		SwitchOnSightOfPlayer MIND_SLAYER_4 AttackDemo2
		WanderNotFar MIND_SLAYER_5 3 6
		SwitchOnSightOfPlayer MIND_SLAYER_5 AttackDemo2

	ENDIF

END

VIG TempSetup FALSE

	Set	gd_WEATHER_TYPE	4
	Set gd_WIND_TYPE	1
    RunS CueWeather

END

/////////////////////////////////////////////////////////////////////

VIG FlyBy FALSE

	Widescreen TRUE

	// *** EXAMPLE CAMERA FLY-BY CODE ***

	// use Wait at start and end to help when editing the final recording
	// use UUCameraComplete to wait for a pan to finish
	// use SetCamMoveConstant to set camera movement per frame
	//     - remember the movie is played at 25fps no matter how slow it records

	SetCamMoveConstant 50
	FreeCam
	PhotoOn
	
	camcut flyby02
	UUCameraComplete
	campan flyby05
	UUCameraComplete
		
	PhotoOff

	// *** END OF FLY-BY ***

	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG FlyBy2 FALSE

	Widescreen TRUE

	// **** ALTERNATE OR SECOND FLY-BY ****

	SetCamMoveConstant 50
	FreeCam
	PhotoOn

	camcut flyby03
	UUCameraComplete
	campan flyby04

	UUCameraComplete
		
	PhotoOff

	// *** END OF FLY-BY ***

	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG KrackenSFX ONESEC
	SWITCH RAND-5
		CASE 0
			SWITCH RAND-8
				CASE 0
					IF ONMAP-K1 && !ISDEAD-K1 && !INCOMBAT-K1
						PlaySFXPosid Kraken.wav pKRAKEN1
					ENDIF
				CASE 1
					IF ONMAP-K2 && !ISDEAD-K2 && !INCOMBAT-K2
						PlaySFXPosid Kraken.wav pKRAKEN2
					ENDIF
				CASE 2
					IF ONMAP-K3 && !ISDEAD-K3 && !INCOMBAT-K3
						PlaySFXPosid Kraken.wav pKRAKEN3
					ENDIF
				CASE 3
					IF ONMAP-K4 && !ISDEAD-K4 && !INCOMBAT-K4
						PlaySFXPosid Kraken.wav pKRAKEN4
					ENDIF
				CASE 4
					IF ONMAP-K5 && !ISDEAD-K5 && !INCOMBAT-K5
						PlaySFXPosid Kraken.wav pKRAKEN5
					ENDIF
				CASE 5
					IF ONMAP-K6 && !ISDEAD-K6 && !INCOMBAT-K6
						PlaySFXPosid Kraken.wav pKRAKEN6
					ENDIF
				CASE 6
					IF ONMAP-K7 && !ISDEAD-K7 && !INCOMBAT-K7
						PlaySFXPosid Kraken.wav pKRAKEN7
					ENDIF
				CASE 7
					IF ONMAP-K8 && !ISDEAD-K8 && !INCOMBAT-K8
						PlaySFXPosid Kraken.wav pKRAKEN8
					ENDIF
			ENDSWITCH
	ENDSWITCH
END

/////////////////////////////////////////////////////////////////////
